/* CSS Document */
@media(min-width:1024px){
	.headerbgall .mainmenu .mainmenulist .elementor-nav-menu--main .elementor-nav-menu > .menu-item.menu-item-has-children > .sub-menu{ 
	    display:block !important;
	    opacity: 0;
        visibility: hidden;
        transition: opacity 0.2s ease, visibility 0.2s ease, transform 0.2s ease, margin 0.2s ease;
        transform:translateY(10px);box-shadow: 0px 5px 20px 0px rgba(0,0,0,0.25);
	}
	.headerbgall .mainmenu .mainmenulist .elementor-nav-menu--main .elementor-nav-menu > .menu-item.menu-item-has-children:hover > .sub-menu{
	    opacity: 1;
        visibility:visible;
        transform:translateY(0px);
	}
	
.mainmenu .mainmenulist .elementor-nav-menu--main ul.elementor-nav-menu > li > ul.sub-menu{ padding-top:20px; padding-bottom:20px; left:0%;  margin-left: -64px;  width: 240px; background:rgba(0, 0, 0, 0.91); border-radius: 0px 0px 8px 8px;}

.mainmenu .mainmenulist .elementor-nav-menu--main ul.elementor-nav-menu > li > ul.sub-menu > li > a{ position:relative; background:none; border: none; white-space: normal; transition: none;}
.mainmenu .mainmenulist .elementor-nav-menu--main ul.elementor-nav-menu > li > ul.sub-menu > li > a:after{	content:"";width:6px;height:12px; position:absolute; right:20px;}
.mainmenu .mainmenulist .elementor-nav-menu--main ul.elementor-nav-menu > li > ul.sub-menu > li > a:hover{ font-weight:bold;}
.mainmenu .mainmenulist .elementor-nav-menu--main ul.elementor-nav-menu > li > ul.sub-menu > li > a:hover:after{
	 background:url(../images/submenuli.svg) no-repeat center center;
}
	
	
}
@media(max-width:1760px){
	
}
@media(max-width:1680px){
	
}
@media(max-width:1560px){
	.e-con > .e-con-inner{ max-width:1280px;}
	.wrap{ max-width:1280px;}
	
	
	
}
@media(max-width:1440px){
    .e-con > .e-con-inner{ max-width:1200px;}
	.wrap, .products_sub_menuflex{ max-width:1200px;}
	
	.headerbgall.headfixd > .e-con-inner{ padding:15px 0 !important;}
	.headerbgall .headerlogo{ width:240px;}
	.headerbgall .mainmenu{width: calc(100% - 482px);}
	.headerbgall .headerright{ width:242px;}
	
	/*产品复杂的菜单*/
	.products_sub_menubg{ top:80px;}
	.prosubmenu_alllist{ width:80%;}
	.prosubmenu_itemlist .prosubmenu_itemlistflex{ gap:60px;}
	.prosubmenu_tab dd a{ font-size:16px;}
	.prosubmorelink a{ font-size:16px; gap:10px; width:160px; height:40px;}
	.prosubmenu_itemlist .prosubmenu_itemlistli a .prosubmenutext .prosubmenuttit{ font-size:16px;}
	.prosubmorelink a:after{ width:20px; height:20px; }
	
	
	/*底部菜单*/
	.footermenu > .elementor-nav-menu--main > .elementor-nav-menu{ gap:60px;}
	.footer_form .wpforms-form .wpforms-field-container .wpforms-field.wpforms-field-checkbox ul.wpforms-field-required li .wpforms-field-label-inline{ font-size:14px;}
	
	
	
	
}
@media(max-width:1360px){
	
}
@media(max-width:1280px){
	.e-con > .e-con-inner{ max-width:1100px;}
	.wrap{ max-width:1100px;}
	
	
	
}
@media(max-width:1230px){
	.e-con > .e-con-inner{ max-width:1000px;}
	.wrap{ max-width:1000px;}
	
	.headerbgall .headerlogo{ width:200px;}
	.headerbgall .mainmenu{width: calc(100% - 400px);}
	.headerbgall .headerright{ width:200px;}
	
	
}
@media(max-width:1200px){
	.vbox{ width: 80%;}
	
	
}
@media(max-width:1160px){
	
}
@media(max-width:1060px){
	.wrap, .e-parent.e-con > .e-con-inner, .islideall  .e-con > .e-con-inner{ max-width:90%;}
	.shiyongpop.e-parent.e-con > .e-con-inner{ max-width:100%;}
	
	/*产品复杂的菜单*/
	.prosubmenu_itemlist .prosubmenu_itemlistli{ max-width:210px;}
	.prosubmenu_itemlist .prosubmenu_itemlistli a .prosubmenutext .prosubmenuttit{ font-size:14px;}
	
	/*底部菜单*/
	.footermenu > .elementor-nav-menu--main > .elementor-nav-menu{ gap:30px;}
	
	
}
@media(max-width:1024px){
	/*头部*/
	.headerbgall{ height:80px;}
	.headerbgall .mainmenu, .headerbgall .headerright{ width:auto;}
	.mainmenu.e-con{position: absolute; padding:0; max-width:30px; right:20px; z-index: 9999;}
	.mainmenu .elementor-menu-toggle{ width:30px; padding:0; position: relative; right: -10px; background:none;z-index: 99999;}
	.mainmenu .elementor-menu-toggle svg{ width:30px; height:30px; }	
	.mainmenu .mainmenulist .elementor-nav-menu__container{  padding-top:20px; position: fixed; left: 0; width: 100%; height: 100%; background:rgba(0, 0, 0, 0.91); top:80px;  z-index: 999; margin-top:0 !important;}
	.mainmenu .mainmenulist .elementor-nav-menu{ overflow-y: scroll;  max-height: 85%;}
	.mainmenu .mainmenulist .elementor-nav-menu > li > a{ color:#fff; fill: #fff; background:none !important; padding:20px; font-size:16px !important;}
	.mainmenu .mainmenulist .elementor-nav-menu > li.menu-item.menu-item-has-children > a .sub-arrow{ margin-top:-5px;}
	.mainmenu .mainmenulist .elementor-nav-menu > li > ul.sub-menu.elementor-nav-menu--dropdown{ background:none !important;}
	
	/*产品复杂的菜单*/
	.products_sub_menubg{ display:none;}
	
	/*底部菜单*/
	.footermenu .elementor-menu-toggle{ display:none;}
	.footermenu.elementor-nav-menu--dropdown-tablet .elementor-nav-menu--main{ display:block;}
	.footermenu .elementor-nav-menu--main .elementor-nav-menu{ flex-direction:column; gap:15px;}
	.footermenu .elementor-nav-menu--main .elementor-nav-menu li.menu-item .sub-menu{ display:none;}
	.footermenu .elementor-nav-menu--main .elementor-nav-menu > li.menu-item.product-menu .sub-menu{ display:none;}
	.footermenu .elementor-nav-menu--main .elementor-nav-menu > li.menu-item.product-menu{ margin-bottom:0;}
	.footermenu .elementor-nav-menu--main .elementor-nav-menu > li.menu-item{ width:100%; max-width:100%;}
	.footermenu .elementor-nav-menu--main .elementor-nav-menu > li.menu-item > a.elementor-item{ display:flex;justify-content: space-between;    align-items: center;}
	.footermenu .elementor-nav-menu--main .elementor-nav-menu > li.menu-item > a.elementor-item:after{ display:none;}
	.footermenu .elementor-nav-menu--main .elementor-nav-menu li .sub-arrow{ display:block;margin-block-end: 0;  margin-block-start: 0;  padding: 0;}
	.footermenu .elementor-nav-menu--main .elementor-nav-menu li.menu-item .sub-menu{ margin-top:5px;}
	.footermenu .elementor-nav-menu--main .elementor-nav-menu li .active .sub-arrow{ transform: rotate(180deg);}
	
	
	
	
	
	
}
@media(max-width:767px){
	.wrap{ width:90%;}
	
	.headerbgall{ height:60px;}
	.headerbgall.headfixd > .e-con-inner{ padding:0px 0 !important;}
	.mainmenu .mainmenulist .elementor-nav-menu__container{ top:60px;}
	.headerbgall .headerlogo{ width:100px;}
	.mainmenu .mainmenulist .elementor-nav-menu > li{ margin-bottom:10px;}
	
	.inewsbtn a.elementor-button .elementor-button-icon svg{ width:16px;}
	.inewsbtn a.elementor-button .elementor-button-content-wrapper{ gap:10px !important;}
	
	/*底部表单*/
	.footer_form > .elementor-widget-container .wpforms-form .wpforms-field-container .wpforms-field .wpforms-field-medium{ font-size:14px; line-height:1; height:50px;}
	.footer_form .wpforms-submit-container{ width:90px; right:5px;}
	.footer_form .wpforms-submit-container .wpforms-submit{ line-height:1; height:36px; font-size:14px;}
	.footer_form .wpforms-form .wpforms-field-container .wpforms-field.wpforms-field-checkbox ul.wpforms-field-required li .wpforms-field-label-inline{ font-size:13px;}
	
	
	
	
}
@media(max-width:580px){
}
@media(max-width:540px){
}
@media(max-width:480px){
}
@media(max-width:380px){
}
@media(max-width:340px){
	
}
@media(max-width:320px){
	
}

